package com.heyu.api.data.service.impl.u3d;
/**
* <p>
* U3D动作配置表 服务类
* </p>
*
* @author quyixiao
* @since 2025-03-04
*/

import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.heyu.api.data.dao.u3d.U3dActionDao;
import com.heyu.api.data.entity.u3d.U3dActionEntity;
import com.heyu.api.data.service.u3d.U3dActionService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
@Service
public class U3dActionServiceImpl extends ServiceImpl<U3dActionDao, U3dActionEntity> implements U3dActionService {


    @Autowired
	private U3dActionDao u3dActionDao;



	@Override
	public U3dActionEntity selectU3dActionById(Long id){
		return u3dActionDao.selectU3dActionById(id);
	}



	@Override
	public Long insertU3dAction(U3dActionEntity u3dAction){
		return u3dActionDao.insertU3dAction(u3dAction);
	}



	@Override
	public Long insertOrUpdateU3dAction(U3dActionEntity u3dAction){
		return u3dActionDao.insertOrUpdateU3dAction(u3dAction);
	}



	@Override
	public int updateU3dActionById(U3dActionEntity u3dAction){
		return u3dActionDao.updateU3dActionById(u3dAction);
	}



	@Override
	public int updateCoverU3dActionById(U3dActionEntity u3dAction){
		return u3dActionDao.updateCoverU3dActionById(u3dAction);
	}



	@Override
	public int deleteU3dActionById(Long id){
		return u3dActionDao.deleteU3dActionById(id);
	}



}
